UPDATE
  TR_GENERIC_CSV
SET
  DEFINE_NAME = /*:DefineName*/'name',
  USER_PATTERN_NAME = /*:UserPatternName*/'pattern',
  HEADER = /*:Header*/'1',
  CONDITION_COLUMN = /*:ConditionColumn*/2,
  UPDATE_DATETIME = /*:DateTime*/TO_DATE('20091224000000','YYYYMMDDHH24MISS'),
  UPDATE_ID = /*:Uid*/'nakayama',
  VERSION = CASE WHEN VERSION = 999999 THEN 1 ELSE VERSION + 1 END
WHERE
  ID = /*:Id*/32
  AND INSERT_ID = /*:Uid*/'nakayama'
  AND VERSION = /*:Version*/1
